// TransporteDoc.h : interface of the CTransporteDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSPORTEDOC_H__A1EAE406_6E33_11D4_83CE_004033E136DA__INCLUDED_)
#define AFX_TRANSPORTEDOC_H__A1EAE406_6E33_11D4_83CE_004033E136DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


typedef struct tno
        {
        int linha;
        int coluna;
        struct tno *next;
        } *pNo, tNo;

class CTransporteDoc : public CDocument
{
protected: // create from serialization only
	CTransporteDoc();
	DECLARE_DYNCREATE(CTransporteDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransporteDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
    int TudoPositivo(unsigned char *aux_ofertas, unsigned char *aux_destinos);
	int TodosNulos();
	int IndiceDoMenor(float **matriz, int n,int type);
	float Maior(float *vet, int size,int *indice);
	void Diferencas(float *aux_destinos,float *aux_ofertas);
	int  Voguel();
	void LiberaMemoriaDinamica();
	void VerificaOfertaDemanda();
	int CustosPositivos(int *linhap, int *colunap);
	int LinkTo(int linha, int coluna, int to_linha, int to_coluna, char sent);
	int  TryPutZero(int linha, int coluna);
	void CriaLista(pNo *lista);
	void AddNo(int linha, int coluna, pNo *lista);
	int  DelNo(pNo *lista);
	int LinkTo2(int linha, int coluna, int to_linha, int to_coluna, char sent,pNo *lista);
	int  TryCicle(int linha, int coluna, pNo *lista);
	float Minimo(pNo lista);
	void SomaSubtrai(float min, pNo lista);
	void SolveSystem();
	unsigned char **matriz_mark;
    float **matriz_distribuicao;
    float **matriz_problema;
    float **matriz_aux;
    float *vetor_destinos;
    float *vetor_ofertas;
	bool created;
	void LiberaMemoriaProblemaOriginal();
	float *vetor_ofertas_original;
	float *vetor_destinos_original;
	void CriaMemoriaProblemaOriginal(void);
	float **matriz_problema_original;
	int num_ofertas;
	int num_destinos;
	int num_colunas;
	int num_linhas;
	virtual ~CTransporteDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTransporteDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSPORTEDOC_H__A1EAE406_6E33_11D4_83CE_004033E136DA__INCLUDED_)
