// TransporteView.h : interface of the CTransporteView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSPORTEVIEW_H__A1EAE408_6E33_11D4_83CE_004033E136DA__INCLUDED_)
#define AFX_TRANSPORTEVIEW_H__A1EAE408_6E33_11D4_83CE_004033E136DA__INCLUDED_

#include "CelulaData.h"	// Added by ClassView
#include "Label.h"	// Added by ClassView

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CTransporteView : public CScrollView
{
protected: // create from serialization only
	CTransporteView();
	DECLARE_DYNCREATE(CTransporteView)

// Attributes
public:
	CTransporteDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransporteView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	CLabel **labels;
	void DesmontaTela(CTransporteDoc *pDoc);
	void MontaTela(CTransporteDoc *pDoc);
	CCelulaData **celulas;			//tabela
	virtual ~CTransporteView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTransporteView)
	afx_msg void OnFileNew();
	afx_msg void OnDestroy();
	afx_msg void OnFileSolve();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TransporteView.cpp
inline CTransporteDoc* CTransporteView::GetDocument()
   { return (CTransporteDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSPORTEVIEW_H__A1EAE408_6E33_11D4_83CE_004033E136DA__INCLUDED_)
